package tvark.beans;

import tvark.old.MIG;
import tvark.old.Property;
import tvark.old.Schedule;

public class ParamsMCBean extends MethodParamsBean {
	
	private int mIterations = 3;


	public int getIterations() {
		return mIterations;
	}

	public void setIterations(int pIterations) {
		mIterations = pIterations;
	}



	@Override
	protected Schedule execute(Schedule pSchedule, Property pProperty) {
		return new MIG(pSchedule, pProperty).getBest();		
	}

}
